/* Imports */
@import url('https://fonts.googleapis.com/css2?family=Anybody:ital,wdth,wght@0,50..150,200;1,50..150,200&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&display=swap');

/* Variables CSS */
:root {
  --first-color: rgb(255, 255, 255);
  --second-color: rgb(0, 0, 0);
  --third-color: #BFBFBF;
  --titulo-grande: 'Julius Sans One', sans-serif;
  --titulo-1: 'Archivo Narrow', sans-serif;
  --parrafo: 'Source Sans Pro', sans-serif;
}

/* Reset y Box-Sizing */
* {
  box-sizing: border-box;
}

/* Tipografía */
h1 {
  font-family: var(--titulo-grande);
  letter-spacing: 0px;
  font-size: 60px;
  font-weight: 500;
  margin-left: 40px;
}

h2 {
  color: var(--second-color);
  font-family: var(--titulo-grande);
  font-size: 40px;
  font-weight: 400;
}

title {
  font-family: "Anybody", sans-serif;
  font-weight: bold;
}

body {
  padding: 0;
  margin: 0;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-color: var(--first-color);
  min-height: 100vh;
  max-width: 100vw;
}

.texto {
  font-size: 20px;
  font-family: "Nunito Sans", sans-serif;
}
.header_img{
  width: 100%;
}
.header-img_2,
.header-img_1{
display: none;
}

/* Layouts y Componentes */
.about-first {
  display: flex;
  width: 100%;
  height: 500px;
  overflow: visible;
}

.about-first_text {
  background-color: #7EA22A;
  padding: 20px;
  padding-left: 5%;
  border-top-right-radius: 297px 280px;
  width: 74%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.about-first p {
  color: var(--first-color);
  font-family: "Nunito Sans", sans-serif;
  font-weight: bold;
  font-size: 1.3em;
}

.about-first h1 {
  color: var(--first-color);
  font-size: 5rem;
}

.about-first_images {
  position: relative;
  width: 50%;
  display: flex;
  flex-direction: column;
}

.first_images_image1 {
  height: 35%;
  width: 75%;
  position: absolute;
  top: -23%;
  left: 25%;
}

.first_images_image2 {
  position: absolute;
  height: 80%;
  width: 112%;
  top: 20%;
  left: -13%;
}

.first_images_image3 {
  position: absolute;
  top: 81%;
  left: -22%;
  height: auto;
  width: auto;
}

.about-second {
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  grid-gap: 20px;
  grid-auto-rows: minmax(100px, 320px);
  padding: 80px;
  height: 1100px;
}

.hidden {
  overflow: hidden;
}

.about-second_div1,
.about-second_div2,
.about-second_div3,
.about-second_div4,
.about-second_div5,
.about-second_div6,
.about-second_div7,
.about-second_div8 {
  width: auto;
  height: auto;
  position: relative;
}

.about-second_div1 { grid-column: 1/3; grid-row: 1 / 3;}
.about-second_div2 { grid-column: 3/7; grid-row: 1; }
.about-second_div3 { grid-column: 7/11; grid-row: 1; }
.about-second_div4 { grid-column: 3/6; grid-row: 2; }
.about-second_div5 { grid-column: 6/9; grid-row: 2; }
.about-second_div6 { grid-column: 9/11; grid-row: 2/4; }
.about-second_div7 { grid-column: 1/5; grid-row: 3; }
.about-second_div8 { grid-column: 5/9; grid-row: 3; }
.text-img{
  position: absolute;
  color: white;
  font-size: 2rem;
  font-family: var(--titulo-1);
  letter-spacing: 0.05em;
  transform: scale(1, 0.7);
  font-weight: bold;
  margin-left: 15px;
  z-index: 1;
}
.about_img1{
  bottom: 0;
  position: absolute;
  width: 670px !important;
  height: 580px !important;
}
.about_img6{
  width: auto !important;
  /* height: auto; */
  object-fit: contain;
  left: -401px;
  top: 1px;
  position: absolute;
}
.about-second_img {
  width: 100%;
  height: 100%;
  object-fit: fill;
  object-position: center;
}

.about-third {
  width: 100%;
  height: 500px;
  position: relative;
  display: flex;
}

.about-second_yellow {
  background-color: #F4A729;
  padding-left: 3%;
  border-bottom-right-radius: 278px 294px;
  width: 100%;
  height: 80%;
  display: flex;
  flex-direction: row;
  position: relative;
}

.second-yellow_img {
  display: flex;
  width: 40%;
  justify-content: left;
  margin-left: 90px;
}

.second-yellow_img img {
  width: 55%;
  height: 70%;
}

.second-yellow_text {
  display: flex;
  width: 70%;
  flex-direction: column;
  margin: 0 0 0 10%;
}

.second-yellow_text p:nth-child(1) {
  color: #10351D;
  font-size: 5em;
  margin: 0;
}

.second-yellow_text p:nth-child(2) {
  color: black;
}

.second-yellow_text p:nth-child(3) {
  color: white;
  font-size: 1.5em;
}

.about-second_contactanos {
  position: absolute;
  background-color: #346229;
  width: 350px;
  height: 100px;
  display: flex;
  flex-direction: row;
  align-items: center;
  bottom: 44px;
  right: 132px;
}

.about-second_contactanos img {
  width: 38px;
  height: 70px;
  margin: 10px;
}

.about-second_contactanos p {
  color: white;
  font-size: 2.5em;
  font-family: "Anybody", sans-serif;
  justify-content: center;
}


/******************* page about us ******************************/

.abot-us {
  width: 100%;
  height: 840px;
  box-sizing: border-box;

}

.abot-us>h2 {
  height: 50px;
  margin: 10px;
  margin-left: 30px;


}

.figura-about_us{
  width: auto !important;
  height: auto !important;
}

.abot-us>div {
  position: relative;
  overflow: hidden;
  height: 840px;
  width: 100%;

}

.about-us_img {
  position: relative;
  overflow: hidden;

  z-index: -1;
  width: 100%;
  height: 780px;
}

.about-us_img img {
  object-fit: cover;
  /* Asegura que la imagen cubra todo el contenedor */
  object-position: center;
  /* Centra la imagen dentro del contenedor */
  width: 100%;
  height: auto;
  position: absolute;

}

.abot-us-img {
  height: 463px;
  width: 140px;
  right: 70%;
  bottom: 0;
  position: absolute;
}

.abot-us_div {
  position: absolute;
  z-index: 2;
  width: 70%;
  height: 50%;
  background-color: #7EA22A;
  border-bottom-left-radius: 408px 96px;
  right: 0;
  bottom: 0;
  text-align: justify;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 60px;


}

.abot-us_div p {
  color: white;

}

.about-us-text {
  display: flex;
  height: 400px;

}

.us-text_text {
  display: flex;
  align-content: center;
  align-items: center;
  text-align: justify;
}

.us-text_text p {
  padding: 300px;
}

.us-text_img {
  height: 400px;
}

.us-text_img img {
  height: 400px;

}



/********  page services ***************/


.figura-about_us{
  display: none;
}

.servicios-title{
  margin-left: 40px;
}
.servicios-div1 {
  display: flex;
  position: relative;
  height: 500px;

}

.servicios-div1 div {

  position: absolute;
  border-top-left-radius: 278px 294px;
  background-color: #7EA22A;
  width: 75%;
  height: 100%;
  right: 0%;
  text-align: left;
  display: flex;
  flex-direction: column;
  justify-content: center;

}

.servicios-div1 div p {
  color: white;
  text-decoration-line: underline;
  margin-left: 53%;
  font-size: 1.5rem;
  text-underline-offset: 1.2em;
  /* Ajusta el valor según tus necesidades */
  text-decoration-thickness: 2px;
  /* Ajusta el valor según tus necesidades */
  font-family: "Anybody", sans-serif;
  font-weight: 500;
}

.noLine {
  text-underline-offset: none !important;
  /* Ajusta el valor según tus necesidades */
  text-decoration-thickness: none !important;
  /* Ajusta el valor según tus necesidades */
  text-decoration-line: none !important;

}

.servicios-div2 {
  display: flex;
  position: relative;
  height: 400px;

}

.servicios-div2 div {

  position: absolute;
  border-bottom-left-radius: 278px 294px;
  background-color: #F4A729;
  width: 100%;
  height: 100%;
  right: 0%;
  text-align: left;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;

}

.servicios-div2 img {

  z-index: 2;
  width: 15%;
  height: 25%;
  margin-left: 70px;
  position: absolute;

}

.servicios-div2 div p {

  color: white;
  text-decoration-line: underline;
  margin-left: 65%;
  font-size: 1.5rem;
  text-underline-offset: 1.2em;
  text-decoration-thickness: 2px;
  text-align: center;
  font-family: "Anybody", sans-serif;
  font-weight: 500;
}

.servicios-div3 {
  display: flex;
  position: relative;
  height: 300px;
  box-sizing: border-box;
  overflow: hidden;
}

.servicios-div3 img {

  background-size: cover;
  position: absolute;
  bottom: -454px;
  width: 1948px;
  height: 961px;
}



/************** style galeria ******************/
.galeria-div3{
  display: none;
}
.galeria-div {
  max-width: 100vw;
  display: flex;
  overflow-x: auto;
  gap: 10px
}

.galeria-div::-webkit-scrollbar {
  width: 1px;
}

.item {
  min-width: 500px;
  max-width: 500px;
  height: 300px;
  line-height: 110px;
  text-align: center;
  gap: 5px;
  overflow: hidden;
  /* Asegura que el padre no se expanda con el contenido del hijo que desborda */


}

.item img {
  width: 500px;
  height: 300px;
  object-fit: cover;
}

.espacio{
  min-width: 591px;
  max-width: 600px;
}

/************** style vivero ******************/

.rectangule {
  background-color: #7EA22A;
  width: 500px;
  height: 60px;
  border-bottom-right-radius: 278px 294px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 15px;

}

.rectangule p {
  color: white;
  font-size: 2rem;
}

.grid {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-gap: 20px;
  grid-auto-rows: minmax(100px, 400px);
  padding: 15px;
  object-fit: fill;
  /* Asegura que la imagen cubra todo el contenedor */
  box-sizing: border-box;
  margin-bottom: 40px;
}

.grid_element {
  /* Asegura que la imagen cubra todo el contenedor */
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  position: relative;
}

.grid_element img {
  /* Asegura que la imagen cubra todo el contenedor */
  width: 100%;
  height: 90%;
  object-fit: contain;
}

.grid_element p {
  margin: 0;
  padding: 0;
  margin-left: 5%;
}

.figura_vivero {
  background-color: #7EA22A;
  grid-column: 3/7;
  height: 30%;
  border-bottom-left-radius: 278px 294px;


}

.figura_amarilla {
  background-color: #F4A729;
  width: 900px;
  height: 60px;
  border-bottom-right-radius: 278px 294px;
  margin-bottom: 60px;
  display: flex;
  align-content: center;
  align-items: center;
  justify-content: flex-start;
}

.figura_amarilla p {
  font-size: 2rem;
  margin-left: 10px;
}

@media (max-width:1490px){
  .servicios-div2 div p {
    margin-left: 60%;
  }

  .servicios-div1 div p {
    margin-left: 45%;
  }
}

@media (max-width:1400px) {
  .us-text_text p {
    padding: 70px;
  }
}


@media (max-width: 720px) {

nav ul li {
    margin: 0px;
}
  
.header_img{
  width: 100%;
  display: flex;
  order: 2;
  position: relative;
  height: 150px;
}
.header-img_1{
  position: absolute;
  height: 97%;
  width: 63%;
  right: 0;
  bottom: -50px;
  display: block;
}
.header-img_2 {
  position: absolute;
  height: 34%;
  width: 32%;
  right: 28%;
  top: 60%;
  display: block;
}
.header_contact{
display: none;
}
header nav {
    width: 100%;
    flex-direction: column;
}
  nav img {
    height: 115px;
    width: 103%;
    order: 1;
    margin-bottom: 60px;
}
nav ul {
  order: 2;
  gap:0;
  width: 40%;
}
.first_images_image1 {
display: none;
}


.second-yellow_img {
display: none;
}

.second-yellow_text p:nth-child(1) {
  font-size: 2.2rem;
}
.second-yellow_text p:nth-child(2) {
  font-size: 1.5rem;
}
.second-yellow_text {
  margin: 0 0 0 3%;
}


.about-first_images {

    display: none;
}
.about-first_text {
  border-top-right-radius: 234px 145px;

  width: 100%;
}
.about-first h1 {
  font-size: 3rem;
}
.about-second_contactanos {
  left: 0;
}

.about-first{
  height: 350px;
}

.about-second {
  grid-template-columns: repeat(2, 1fr);
  padding: 20px;
  gap: 10px;

}
.about-second_div1 {
  grid-column: 1 / 2;
  grid-row: 1 / 3;
  position: relative;

}
.about-second_div2 {
  grid-column: 1 / 3;
  grid-row: 5 / 6;
}
.about-second_div3 {
  grid-column: 1 / 3;
  grid-row: 4 / 5;
}
.about-second_div4 {
  
  grid-column: 2 / 3;
  grid-row: 1 / 2;

}
.about-second_div5 {
  grid-column: 2 / 3;
  grid-row: 2 / 3;

}
.about-second_div6 {
  grid-column: 2 / 3;
  grid-row: 6 / 7;
  
}
.about-second_div7 {

  grid-column: 1 / 3;
  grid-row: 3 / 4;

}
.about-second_div8 {
  grid-column: 1 / 2;
  grid-row: 6 / 7;
}

.text-img {
  font-size: 1.1rem;
}

.about-second_div1 p{
  margin-left:10px ;
}

.about_img1 {
  bottom: -54px;
  position: absolute;
  width: 551px !important;
  height: 558px !important;
}
.about_img6{
  left: 0;

}
/* footer */
.site-footer {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  justify-items: center;
  align-items: center;
  justify-content: center;
  align-content: center;
}
.site-footer_images{
  grid-column: 1/3;
  grid-row: 2 / 3;
}
.site-footer_about-us{
  grid-column: 1/2;
  grid-row: 1 / 2;
}
.site-footer_about-us p:nth-child(1){
  font-size: 1rem;
}
.site-footer_about-us p:nth-child(2){
  font-size: 1rem;
}
.site-footer_contact{
  grid-column: 2/3;
  grid-row: 1 / 2;
  width: 100% !important;
}
.site-footer div:nth-child(1) {
  width: 100%;
}
.site-footer_about-us p:nth-child(2) {
  font-size: 0.8rem;
}
.site-footer_contact p{
  font-size: 0.8rem;
}

.site-footer div:nth-child(3) {
  align-items: flex-start;
  padding-left: 20px;
}
.site-footer_images img{
  width: 100% !important;
}
.second-yellow_text{
  justify-content: center;
  align-items: flex-start;
}

.second-yellow_text p:nth-child(3) {
  font-size: 1em;
  margin-top:0;
}
.second-yellow_text p:nth-child(2) {
  font-size: 1em;
  margin-top:0;
}





/* quienes somos  */

.abot-us {
  height: 750px;
}

.abot-us>div {
  height: 700px;
}
.figura-about_us{
  position: relative;
  width: 300px !important;
  height: 70px !important;
  border-bottom-right-radius: 400px 224px;
  border-top-right-radius: 400px 224px;
  background-color: #10351D;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
.figura-about_us2{
  position: absolute;
  width: 50px !important;
  height: 70px !important;
  border-bottom-right-radius: 400px 224px;
  border-top-right-radius: 400px 224px;
  background-color: #7EA22A;
}

.figura-about_us h1{
  font-size: 2.5rem;
  position: absolute;
  color: white;
  margin: 0;
  padding-left: 10px;
}
.abot-us_div {
  width: 65%;
  height: 80%;
  border-bottom-left-radius: 400px 224px;
  bottom: 0px;
  padding: 30px;
  align-items:flex-start

}
.abot-us_div p {
  color: white;
  font-size: 0.8rem;
  width: 100%;
}
.abot-us-img {
  height: 300px;
  width: 90px;
  left: 0;
}

.about-us_img img {
  height: 100%;
}



.about-us-text {
  flex-direction: column;
}

.us-text_text {
  width: 100%;
}
.us-text_text p {
  padding: 20px;
  font-size: 0.8rem;
  width: 100%;
}


.us-text_img {
  position: relative;
  width: 100%;

}
.us-text_img img {
  height: 219px;
  position: absolute;
  bottom: -62px;
  transform: rotate(90deg);
  width: 103px;
  right: 58px;
}


/* services */
.figura-about_us{
  font-size: 2rem;
  color: white;
  margin: 0;
}
.servicios_img1{
  width: 100%;
  height: 50% !important;
  position: absolute !important;
}
.servicios_img2{
  z-index: 1;
    position: absolute;
    transform: rotate(270deg);
    width: 170px;
    left: -16%;
    top: 170px;
}

.servicios-div1 div {
  position: absolute;
  border-top-left-radius: 315px 150px;
  width: 100%;
  height: 100%;
  right: 0%;
  text-align: left;
  top: 100px;
  justify-content: flex-start;
  padding-top:70px ;

}
.servicios-div2 div {
  position: absolute;
  text-align: left;
  justify-content: flex-start;
  padding-top:0px ;
  border-bottom-left-radius: 318px 181px;
}
.servicios-div1 div p {
  font-size: 1.2rem;
  margin-left: 20%;
  text-align: left;
}

.servicios-div2 div p {
  font-size: 1.2rem;
  margin-left: 20%;
  text-align: left;
}

.servicios-div2 img {

  display: none;

}
.noLine{
  text-decoration-line: underline !important;
}
.servicios-div3{
  display: flex;
  position: absolute;
  height: 584px;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  z-index: -1;
}
.servicios-div3 img {
  position: absolute;
  bottom: -112px;
  width: 880px;
  height: 583px;
  right: -119px;
}

.servicios-title {
  display: none;
}

.servicios-div2_principal{
  position: relative;
  height: 700px;
}

/* galeria */
.item{
  min-width: 340px;
  height: 265px;
}
.espacio{
  min-width: 503px;
  height: 381px;
  max-width: 600px;

}

.item img {
  width: 400px;
  height: 267px;
  object-fit: cover;
}
.grande{
  width: 505px !important;
  height: 380px !important;
}

.galeria-div {
  padding-bottom: 10px;
}
.galeria-div3 {
  display: flex;
  position: relative;
  height: 200px;
  box-sizing: border-box;
  overflow: hidden;
}
.galeria-div3 img {
  background-size: cover;
  position: absolute;
  bottom: 0;
  width: auto;
  height: auto;
}
main > h1{
  display: none;
}
/* vivero */
.grid{
  grid-template-columns: repeat(3, 1fr);
  grid-auto-rows: minmax(100px, 250px);
}
.grid_element img {
  height: 70%;
}

.figura_vivero {
  display: none;
}

.rectangule {
  width: 80%;
  justify-content: left;
  padding-left: 20px;
}
.rectangule p {
  font-size: 1.7rem;
}

.figura_amarilla p {
  font-size: 1.7rem;
}
.figura_amarilla {
  width: 80%;
  height: 90px;
}

}